/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetNodeInput } from "../types/GetNodeInput";
import { GetNodeOutput } from "../types/GetNodeOutput";
import { ManagedBlockchainResolvedConfiguration } from "../ManagedBlockchainConfiguration";
export * from "../types/GetNodeInput";
export * from "../types/GetNodeOutput";
export * from "../types/GetNodeExceptionsUnion";
export declare class GetNodeCommand implements __aws_sdk_types.Command<InputTypesUnion, GetNodeInput, OutputTypesUnion, GetNodeOutput, ManagedBlockchainResolvedConfiguration, _stream.Readable> {
    readonly input: GetNodeInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetNodeInput, GetNodeOutput, _stream.Readable>;
    constructor(input: GetNodeInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ManagedBlockchainResolvedConfiguration): __aws_sdk_types.Handler<GetNodeInput, GetNodeOutput>;
}
