"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _MemberConfiguration_1 = require("./_MemberConfiguration");
exports.CreateMemberInput = {
    type: "structure",
    required: [
        "ClientRequestToken",
        "InvitationId",
        "NetworkId",
        "MemberConfiguration"
    ],
    members: {
        ClientRequestToken: {
            shape: {
                type: "string",
                min: 1
            }
        },
        InvitationId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        NetworkId: {
            shape: {
                type: "string",
                min: 1
            },
            location: "uri",
            locationName: "networkId"
        },
        MemberConfiguration: {
            shape: _MemberConfiguration_1._MemberConfiguration
        }
    }
};
//# sourceMappingURL=CreateMemberInput.js.map