"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ProposalActions_1 = require("./_ProposalActions");
exports.CreateProposalInput = {
    type: "structure",
    required: ["ClientRequestToken", "NetworkId", "MemberId", "Actions"],
    members: {
        ClientRequestToken: {
            shape: {
                type: "string",
                min: 1
            }
        },
        NetworkId: {
            shape: {
                type: "string",
                min: 1
            },
            location: "uri",
            locationName: "networkId"
        },
        MemberId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Actions: {
            shape: _ProposalActions_1._ProposalActions
        },
        Description: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=CreateProposalInput.js.map