"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetProposalInput = {
    type: "structure",
    required: ["NetworkId", "ProposalId"],
    members: {
        NetworkId: {
            shape: {
                type: "string",
                min: 1
            },
            location: "uri",
            locationName: "networkId"
        },
        ProposalId: {
            shape: {
                type: "string",
                min: 1
            },
            location: "uri",
            locationName: "proposalId"
        }
    }
};
//# sourceMappingURL=GetProposalInput.js.map