import { InvalidRequestException } from "./InvalidRequestException";
import { AccessDeniedException } from "./AccessDeniedException";
import { ResourceNotFoundException } from "./ResourceNotFoundException";
import { ResourceAlreadyExistsException } from "./ResourceAlreadyExistsException";
import { ResourceNotReadyException } from "./ResourceNotReadyException";
import { ThrottlingException } from "./ThrottlingException";
import { ResourceLimitExceededException } from "./ResourceLimitExceededException";
import { InternalServiceErrorException } from "./InternalServiceErrorException";
export declare type CreateMemberExceptionsUnion = InvalidRequestException | AccessDeniedException | ResourceNotFoundException | ResourceAlreadyExistsException | ResourceNotReadyException | ThrottlingException | ResourceLimitExceededException | InternalServiceErrorException;
