import { ServiceException as __ServiceException__ } from "@aws-sdk/types";
/**
 * <p>The request or operation could not be performed because a service is throttling requests. The most common source of throttling errors is launching EC2 instances such that your service limit for EC2 instances is exceeded. Request a limit increase or delete unused resources if possible.</p>
 */
export interface ThrottlingException extends __ServiceException__<_ThrottlingExceptionDetails> {
    name: "ThrottlingException";
}
export interface _ThrottlingExceptionDetails {
}
