/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateProposalInput } from "../types/CreateProposalInput";
import { CreateProposalOutput } from "../types/CreateProposalOutput";
import { ManagedBlockchainResolvedConfiguration } from "../ManagedBlockchainConfiguration";
export * from "../types/CreateProposalInput";
export * from "../types/CreateProposalOutput";
export * from "../types/CreateProposalExceptionsUnion";
export declare class CreateProposalCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateProposalInput, OutputTypesUnion, CreateProposalOutput, ManagedBlockchainResolvedConfiguration, _stream.Readable> {
    readonly input: CreateProposalInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateProposalInput, CreateProposalOutput, _stream.Readable>;
    constructor(input: CreateProposalInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ManagedBlockchainResolvedConfiguration): __aws_sdk_types.Handler<CreateProposalInput, CreateProposalOutput>;
}
