/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteNodeInput } from "../types/DeleteNodeInput";
import { DeleteNodeOutput } from "../types/DeleteNodeOutput";
import { ManagedBlockchainResolvedConfiguration } from "../ManagedBlockchainConfiguration";
export * from "../types/DeleteNodeInput";
export * from "../types/DeleteNodeOutput";
export * from "../types/DeleteNodeExceptionsUnion";
export declare class DeleteNodeCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteNodeInput, OutputTypesUnion, DeleteNodeOutput, ManagedBlockchainResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteNodeInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteNodeInput, DeleteNodeOutput, _stream.Readable>;
    constructor(input: DeleteNodeInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ManagedBlockchainResolvedConfiguration): __aws_sdk_types.Handler<DeleteNodeInput, DeleteNodeOutput>;
}
