/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListInvitationsInput } from "../types/ListInvitationsInput";
import { ListInvitationsOutput } from "../types/ListInvitationsOutput";
import { ManagedBlockchainResolvedConfiguration } from "../ManagedBlockchainConfiguration";
export * from "../types/ListInvitationsInput";
export * from "../types/ListInvitationsOutput";
export * from "../types/ListInvitationsExceptionsUnion";
export declare class ListInvitationsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListInvitationsInput, OutputTypesUnion, ListInvitationsOutput, ManagedBlockchainResolvedConfiguration, _stream.Readable> {
    readonly input: ListInvitationsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListInvitationsInput, ListInvitationsOutput, _stream.Readable>;
    constructor(input: ListInvitationsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ManagedBlockchainResolvedConfiguration): __aws_sdk_types.Handler<ListInvitationsInput, ListInvitationsOutput>;
}
