/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { VoteOnProposalInput } from "../types/VoteOnProposalInput";
import { VoteOnProposalOutput } from "../types/VoteOnProposalOutput";
import { ManagedBlockchainResolvedConfiguration } from "../ManagedBlockchainConfiguration";
export * from "../types/VoteOnProposalInput";
export * from "../types/VoteOnProposalOutput";
export * from "../types/VoteOnProposalExceptionsUnion";
export declare class VoteOnProposalCommand implements __aws_sdk_types.Command<InputTypesUnion, VoteOnProposalInput, OutputTypesUnion, VoteOnProposalOutput, ManagedBlockchainResolvedConfiguration, _stream.Readable> {
    readonly input: VoteOnProposalInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<VoteOnProposalInput, VoteOnProposalOutput, _stream.Readable>;
    constructor(input: VoteOnProposalInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ManagedBlockchainResolvedConfiguration): __aws_sdk_types.Handler<VoteOnProposalInput, VoteOnProposalOutput>;
}
