import { InvalidRequestException } from "./InvalidRequestException";
import { AccessDeniedException } from "./AccessDeniedException";
import { ResourceNotFoundException } from "./ResourceNotFoundException";
import { ResourceNotReadyException } from "./ResourceNotReadyException";
import { ThrottlingException } from "./ThrottlingException";
import { InternalServiceErrorException } from "./InternalServiceErrorException";
export declare type CreateProposalExceptionsUnion = InvalidRequestException | AccessDeniedException | ResourceNotFoundException | ResourceNotReadyException | ThrottlingException | InternalServiceErrorException;
